| Kea 3.0.2-git

io_endpoint.h File Reference
`#include <functional>`
`#include <string>`
`#include <exceptions/exceptions.h>`
`#include <asiolink/io_address.h>`
`#include <ostream>`
`#include <unistd.h>`
`#include <sys/socket.h>`
Include dependency graph for io_endpoint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::IOEndpoint
| The `IOEndpoint` class is an abstract base class to represent a communication endpoint. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Functions
ostream & | isc::asiolink::operator<< (std::ostream &os, const IOEndpoint &endpoint)
| Insert the `IOEndpoint` as a string into stream.